EUSCALE-UPDATE-AUTO-SCALING-GROUP(1)

NAME
euscale-update-auto-scaling-group - Update an auto-scaling group's parameters

SYNOPSIS
euscale-update-auto-scaling-group [--default-cooldown SECONDS]

[--desired-capacity COUNT]
    [--grace-period SECONDS] [--health-check-type {EC2,ELB}] [-l LAUNCHCONFIG] [-M COUNT] [-m COUNT] [--placement-group PLACEMENTGROUP] [--termination-policies POLICY1,POLICY2,...] [--vpc-zone-identifier ZONE1,ZONE2,...] [-z ZONE1,ZONE2,...] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ASGROUP

DESCRIPTION
Update an auto-scaling group's parameters

  positional arguments:

ASGROUP
    name of the auto-scaling group to update (required)

  optional arguments:

--default-cooldown SECONDS
    amount of time, in seconds, after a scaling activity completes before any further trigger-related scaling activities may start

--desired-capacity COUNT
    number of running instances the group should contain

--grace-period SECONDS
    number of seconds to wait before starting health checks on newly-created instances

--health-check-type {EC2,ELB}
    service to obtain health check status from

-l LAUNCHCONFIG, --launch-configuration LAUNCHCONFIG
    name of the launch configuration to use with the new group (required)

-M COUNT, --max-size COUNT
    maximum group size (required)

-m COUNT, --min-size COUNT
    minimum group size (required)

--placement-group PLACEMENTGROUP
    placement group in which to launch new instances

--termination-policies POLICY1,POLICY2,...
    ordered list of termination policies. The first has the highest precedence.

--vpc-zone-identifier ZONE1,ZONE2,...
    comma-separated list of subnet identifiers. If you specify availability zones as well, ensure the subnets' availability zones match the ones you specified

-z ZONE1,ZONE2,..., --availability-zones ZONE1,ZONE2,...
    comma-separated list of availability zones for the new group (required unless subnets are supplied)

-U URL, --url URL
    auto-scaling service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit